Subject: Re: linux-next: build warning after merge of the origin tree

From: Bagas Sanjaya <[email-masked]>
Date: Wed, 22 Jan 2025 20:39:35 +0700

On Wed, Jan 22, 2025 at 07:00:43PM +0900, Akira Yokosawa wrote:
> [+CC: linux-doc]
> 
> Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next build (htmldocs) produced this warning:
> > 
> > Documentation/power/video.rst:213: WARNING: Footnote [#] is not referenced. [ref.footnote]
> > 
> > This warning has presumably been there for a long time.
> > 
> > I don't know what causes it - maybe it needs a space before the opening
> > bracket?
> 
> Stephen, fhve you upgraded your Sphinx recently?
> 
> In "Bugs Fixed" section of Sphinx 8.1.0 changelog [1], there is an item which
> reads:
> 
>     - #12730: The UnreferencedFootnotesDetector transform has been improved
>       to more consistently detect unreferenced footnotes. Note, the priority
>       of the transform has been changed from 200 to 622, so that it now runs
>       after the docutils Footnotes resolution transform. Patch by Chris Sewell.
> 
> So the above warning is real and prior versions of Sphinx just can't flag it.
> 
> To silence it, you need to get rid of the unreferenced footnote, I guess.

Hi Akira,

I think the culprit [#f3] footnote (that triggers the warning) refers to
Toshiba Satellite P10-554 notebook, where s3_bios and s3_resume work only on
uniprocessor kernel. The proper fix will be probably adding a space before
the footnote.

Thanks.

-- 
An old man doll... just what I always wanted! - Clara